package com.seer.teach.common.utils;

import lombok.extern.slf4j.Slf4j;

import java.util.HashMap;
import java.util.Map;

@Slf4j
public class VolumeUtils {

    private static final Map<String, Integer> VOLUMES = new HashMap<>();
    
    static {
        VOLUMES.put("上册", 0);
        VOLUMES.put("必修@@上册", 0);
        VOLUMES.put("下册", 1);
        VOLUMES.put("必修@@下册", 1);
        VOLUMES.put("必修@@第一册", 2);
        VOLUMES.put("必修1@@中国特色社会主义", 2);
        VOLUMES.put("必修@@第二册", 3);
        VOLUMES.put("必修2@@经济与社会", 3);
        VOLUMES.put("必修3@@与法治", 4);
        VOLUMES.put("必修@@第三册", 4);
        VOLUMES.put("必修4@@哲学与文化", 5);
        VOLUMES.put("必修@@第四册", 5);
        VOLUMES.put("选择性必修@@第一册", 6);
        VOLUMES.put("选择性必修1@@当代国际与经济", 6);
        VOLUMES.put("选择性必修2@@法律与生活", 7);
        VOLUMES.put("选择性必修@@第二册", 7);
        VOLUMES.put("选择性必修@@第三册", 8);
        VOLUMES.put("选择性必修3@@逻辑与思维", 8);
        VOLUMES.put("选择性必修@@第四册", 9);
        VOLUMES.put("全一册", 10);
    }

    public static Integer getVolumeIdByName(String volumeName) {
        log.debug("获取册别ID，册别名称: {}", volumeName);
        Integer volumeId = VOLUMES.get(volumeName);
        if (volumeId != null) {
            return volumeId;
        }
        log.debug("册别名称不匹配，返回默认ID: 0");
        return 0;
    }
}